| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::ScriptTranslatorManager Class Referenceabstract
Core » General

The ScriptTranslatorManager manages the lifetime and access to script translators. More...

`#include <OgreScriptTranslator.h>`

Inheritance diagram for Ogre::ScriptTranslatorManager:
[legend]

## Public Member Functions
virtual | ~ScriptTranslatorManager ()
virtual ScriptTranslator * | getTranslator (const AbstractNodePtr &)=0
| Returns a manager for the given object abstract node, or null if it is not supported. More...

## Detailed Description

The ScriptTranslatorManager manages the lifetime and access to script translators.

You register these managers with the ScriptCompilerManager tied to specific object types. Each manager may manage multiple types.

## Constructor & Destructor Documentation

## ◆ ~ScriptTranslatorManager()

virtual Ogre::ScriptTranslatorManager::~ScriptTranslatorManager | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getTranslator()

virtual ScriptTranslator* Ogre::ScriptTranslatorManager::getTranslator | ( | const AbstractNodePtr & |  | ) |
| pure virtual

Returns a manager for the given object abstract node, or null if it is not supported.

Implemented in Ogre::OverlayTranslatorManager.

The documentation for this class was generated from the following file:

- OgreScriptTranslator.h